Bug 2605 - Marina scripts fail with "java.lang.AssertionError"
Marina scripts fail with "java.lang.AssertionError"
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: GUI:Technology Editor
1
All All
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:28 UTC by strubin
Modified: 2011-04-15 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:28:06 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-10-01 12:29:22 **

Ok, new problem now.

Once this is all worked out I will add a regression test for "-batch" mode so we can watch out for problems like this.

  - a

cd chips/marina/testCode; \\
\t  nice -n 19 java -Xmx1500m -jar -Djava.awt.headless=true ~/proj/electric/srcj/electric.jar -batch -s regen.bsh ../electric/aMarinaM.jelib
JobQueue:  Init database (waiting)
JobQueue:  Init database (running)
JobQueue:  Init database (running) Read External Library (waiting)
JobQueue:  Init database (running) Read External Library (waiting) JavaBsh script: regen.bsh (waiting)
Job com.sun.electric.tool.Job$Key@ffffffff
Exception in thread "UIDispatcher-0" java.lang.AssertionError
\tat com.sun.electric.tool.AbstractUserInterface.endChanging(AbstractUserInterface.java:237)
\tat com.sun.electric.Main$UserInterfaceDummy.terminateJob(Main.java:448)
\tat com.sun.electric.tool.Client$EJobEvent.show(Client.java:266)
\tat com.sun.electric.tool.Client$ServerEvent.run(Client.java:184)
\tat com.sun.electric.Main$UserInterfaceDummy.addEvent(Main.java:462)
\tat com.sun.electric.tool.AbstractUserInterface$UIDispatcher.doUnsafe(AbstractUserInterface.java:343)
\tat com.sun.electric.tool.AbstractUserInterface$UIDispatcher.run(AbstractUserInterface.java:358)
Read Project Preferences from /Users/megacz/proj/fleet/chips/marina/testCode/../electric/projsettings.xml
Warning: Setting "SelectedFoundryFormocmos" set to "TSMC", overrides current value of "MOSIS"
Warning: Setting "GDSWritesExportPins" set to "true", overrides current value of "false"
Warning: Setting "SchematicTechnology" set to "cmos90", overrides current value of "mocmos"
Warning: Setting "GDS(TSMC)LayerForPad-FrameINcmos90" set to "43", overrides current value of ""
Warning: Setting "GDSOutputConvertsBracketsInExports" set to "false", overrides current value of "true"
Warning: Setting "DefaultTechnology" set to "cmos90", overrides current value of "mocmos"
Warning: Setting "GDS(ST)LayerForPad-FrameINcmos90" set to "43", overrides current value of ""
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/compareM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/centersJ.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/gates1inM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/orangeTSMC090nm.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/redFive.jelib
Reading referenced library file:/Users/megacz/proj/electric/srcj/electric.jar!/com/sun/electric/lib/spiceparts.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/wiresL.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/gates2inM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/gates3inM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/countersL.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/coversM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/fillM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/latchesK.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/latchPartsK.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/scanM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/driversM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/purpleFive.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/dockM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/fanPinsM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/registersM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/latchGroupsK.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/loopCountM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/stageGroupsM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/gaspM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/arbiterM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/stagesM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/kesselsCounter.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/moveM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/oneHotM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/predicateM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/dukeF.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/edgesM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/jtagController.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/jtagControllerAutoGenLib.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/jtagScan.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/testsM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/programsM.jelib
Reading referenced library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/programPartsM.jelib
Library /Users/megacz/proj/fleet/chips/marina/testCode/../electric/aMarinaM.jelib read, took 30.333 seconds
Java Bean shell error sourcing 'regen.bsh': 
java.lang.AssertionError
\tat com.sun.electric.tool.Job.startJob(Job.java:289)
\tat com.sun.electric.tool.Job.startJob(Job.java:271)
\tat com.sun.electric.tool.Job.startJob(Job.java:252)
\tat com.sun.electric.tool.io.output.Output$OutputCellInfo.<init>(Output.java:185)
\tat com.sun.electric.tool.io.output.Output.exportCellCommand(Output.java:114)
\tat sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
\tat sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
\tat sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
\tat java.lang.reflect.Method.invoke(Method.java:597)
\tat bsh.Reflect.invokeMethod(Unknown Source)
\tat bsh.Reflect.invokeStaticMethod(Unknown Source)
\tat bsh.Name.invokeMethod(Unknown Source)
\tat bsh.BSHMethodInvocation.eval(Unknown Source)
\tat bsh.BSHPrimaryExpression.eval(Unknown Source)
\tat bsh.BSHPrimaryExpression.eval(Unknown Source)
\tat bsh.BSHBlock.evalBlock(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHIfStatement.eval(Unknown Source)
\tat bsh.BSHBlock.evalBlock(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHEnhancedForStatement.eval(Unknown Source)
\tat bsh.BSHBlock.evalBlock(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHBlock.eval(Unknown Source)
\tat bsh.BSHEnhancedForStatement.eval(Unknown Source)
\tat bsh.Interpreter.eval(Unknown Source)
\tat bsh.Interpreter.source(Unknown Source)
\tat bsh.Interpreter.source(Unknown Source)
\tat sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
\tat sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
\tat sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
\tat java.lang.reflect.Method.invoke(Method.java:597)
\tat com.sun.electric.database.variable.EvalJavaBsh.doSource(EvalJavaBsh.java:438)
\tat com.sun.electric.database.variable.EvalJavaBsh$runScriptJob.doIt(EvalJavaBsh.java:287)
\tat com.sun.electric.tool.EThread.run(EThread.java:97)
Comment 1 strubin 2011-04-15 17:25:14 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-10-05 13:57:48 **

Adam

Please make available regen.bsh for further investigation.

Gilda
Comment 2 strubin 2011-04-15 17:25:16 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-10-05 20:27:17 **

Ok, try:

  cd /proj/async/electric/regressions/bigExamples/marina/
  ./regen.sh

  - a
Comment 3 strubin 2011-04-15 17:25:19 UTC
** ORIGINALLY POSTED BY nadezhin on 2009-10-07 03:27:10 **

FIX: Change Output.OutputCellInfo from CLIENT_EXAMINE to SERVER_EXAMINE .
     In Make.UserInterfacDummy.terminateJob check for Job.isThreadSeafe().
Comment 4 strubin 2011-04-15 17:25:22 UTC
** ORIGINALLY POSTED BY Adam Megacz on 2009-10-07 13:10:20 **

Thank you Dima!!! (verified)
Comment 5 strubin 2011-04-15 17:25:24 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-10-09 11:51:03 **

Being released in v8.10j and verified by Adam. Closing now.